#
# spec file for package python-anyjson
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-anyjson
Version:        0.3.3
Release:        bp155.2.10
Summary:        Wrapper for the best available JSON implementation available in a common interface
License:        BSD-3-Clause
URL:            https://bitbucket.org/runeh/anyjson
Source:         https://files.pythonhosted.org/packages/source/a/anyjson/anyjson-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Anyjson loads whichever is the fastest JSON module installed and provides
a uniform API regardless of which JSON implementation is used.

Originally part of carrot (http://github.com/ask/carrot/)

%prep
%setup -q -n anyjson-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%license LICENSE
%doc CHANGELOG README
%{python_sitelib}/anyjson/
%{python_sitelib}/anyjson-%{version}-py*.egg-info

%changelog
* Tue Nov  5 2019 Tomáš Chvátal <tchvatal@suse.com>
- Format with spec-cleaner
* Wed Dec  5 2018 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed Aug 30 2017 toddrme2178@gmail.com
- Use pypi download URL and source
- Misc auto-conversion cleanups
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Jul  3 2013 cfarrell@suse.com
- Add LICENSE to %%doc section
* Wed Aug 15 2012 highwaystar.ru@gmail.com
- python3 package added
- spec improved (files section)
* Fri Jun 22 2012 alexandre@exatati.com.br
- Update to 0.3.3:
  * Fixed bug in buffer object support related to differences between
    stringIO and cStringIO
- Aditional changes from 0.3.2:
  * Added support for buffer objects
* Sat Mar 10 2012 saschpe@gmx.de
- Use upstream tarball
- Simplify macro usage
- Buildrequire python-distribute instead of setuptools
* Wed Dec 28 2011 alexandre@exatati.com.br
- Standard in spec file.
* Fri Dec  9 2011 coolo@suse.com
- fix license to be in spdx.org format
* Sat Mar 26 2011 alexandre@exatati.com.br
- Add CHANGELOG and README file as documentation.
* Tue Mar 22 2011 alexandre@exatati.com.br
- Update to 0.3.1:
  * Added deprecation warning for cjson and made it the least preferred
    implementation. See: http://pypi.python.org/pypi/python-cjson/1.0.5
- Regenerates spec file with py2pack.
* Sat Dec  4 2010 alexandre@exatati.com.br
- Update to 0.3:
  * Added support for python3
* Fri Sep 10 2010 alexandre@exatati.com.br
- Update to 0.2.5;
- Spec file cleaned with spec-cleaner.
* Thu Jan 28 2010 alexandre@exatati.com.br
- Update to 0.2.3.
* Sat Sep 26 2009 alexandre@exatati.com.br
- Update to 0.2.2;
- Building as noarch for openSUSE >= 11.2.
* Tue Sep 22 2009 alexandre@exatati.com.br
- Initial package (0.2.1) for openSUSE.
